<?xml version="1.0"?>
<queryset>

<fullquery name="get_old_class_mime_type">
      <querytext>
      
	select mime_type
	from ml_mail_classes
	where mail_class_id = :class_or_copy_id
    
      </querytext>
</fullquery>

 
<fullquery name="get_css_file">
      <querytext>
      
	    select r.title || ' (' || r.content_length || ' bytes)', r.revision_id,
	           c.mime_type as old_mime_type
	    from cr_items i, cr_revisions r, ml_mail_classes c
	    where c.mail_class_id = :class_or_copy_id
	    and i.parent_id = c.mail_class_id
	    and r.revision_id = i.live_revision
	
      </querytext>
</fullquery>

 
<fullquery name="get_ad_locales">
      <querytext>
      
    select label as name, locale as value
    from ad_locales

      </querytext>
</fullquery>

 
<fullquery name="get_copy_class_data">
      <querytext>
      
	    select name, locale, sender_email, subject, subject_change_p,
	           text_header, text_header_change_p, text_body, text_body_change_p,
	           text_footer, text_footer_change_p, html_header, html_header_change_p,
	           html_body, html_body_change_p, html_footer, html_footer_change_p,
	           mime_type, comments
	    from ml_mail_classes
	    where mail_class_id = :copy_class_id
	
      </querytext>
</fullquery>

 
<fullquery name="get_class_data">
      <querytext>
      
	select name, locale, sender_email, subject, subject_change_p,
	       text_header, text_header_change_p, text_body, text_body_change_p,
	       text_footer, text_footer_change_p, html_header, html_header_change_p,
	       html_body, html_body_change_p, html_footer, html_footer_change_p,
	       mime_type, comments
	from ml_mail_classes
	where mail_class_id = :class_id
    
      </querytext>
</fullquery>

 
<fullquery name="delete_css_file">
      <querytext>
      
		update cr_items
		set live_revision = null
		where parent_id = :class_id
		and live_revision = :delete_css
	    
      </querytext>
</fullquery>

 
<fullquery name="check_css_file_exists">
      <querytext>
      
		select item_id
		from cr_items
		where parent_id = :class_id
	    
      </querytext>
</fullquery>

 
<fullquery name="make_latest_revision_live_revision">
      <querytext>
      
		update cr_items
		set live_revision = latest_revision
		where parent_id = :class_id
	    
      </querytext>
</fullquery>

 
<fullquery name="get_file_data_for_copy">
      <querytext>
      
		select r.title as filename, r.content_length, r.mime_type as file_mimetype,
		       r.revision_id, i.item_id
		from cr_revisions r, cr_items i
		where i.parent_id = :copy_class_id
		and r.revision_id = i.live_revision
	    
      </querytext>
</fullquery>

 
</queryset>
