ad_page_contract {
    Show hourly link clicks

    @cvs-id $Id: link-detail.tcl,v 1.2 2004/01/21 19:22:15 maltes Exp $
} {
    link_id:integer,notnull
    mail_job_id:integer,notnull
} -properties {
    context_bar:onevalue
    link_url:onevalue
    clicks:multirow
}

set package_id [ad_conn package_id]
set context_bar [list [list "." Administration] [list job-history "Mail Job History"] [list "link-track?[export_url_vars mail_job_id]" "Link Tracking"] "Daily Registrations"]

if {![db_0or1row get_current_country_category_tree {}]} {
    # no country tree mapped, so return to index page immediately
    ad_returnredirect "."
    return
}

template::multirow create clicks category_id region day number_clicks

# get number of link clicks each hour
# split this number by regions


######### Charts code ######################
 set regions [list]  
# A list of labels 
 set regions_value [list]
# A list that stores the values for a lable
 set image_name "dayli_clicks"
###########################################


db_foreach get_link_clicks {} {
    template::multirow append clicks $category_id [category::get_name $category_id] $day $number_clicks

    ############charts code##########
     lappend regions "[category::get_name $category_id]"
     lappend regions_value "$number_clicks"
    ##################################
}


#############charts code##########     
# Data preperation
set values [list]
lappend values $regions
lappend values $regions_value

# Image creation
set image_name "clicks_$tree_id"
set dummy [tgdchart::3dbar    -title "To Days Clicks"   -ytitle "Clicks"     -xtitle "Regions"   -file "$image_name"   -values "$values" -xsize 300 -ysize 400]

set image_file "/tgdcharts/$package_id/$image_name.png"
# The file argument will properly change till the end of development.
# The function will then return the full path to the Image.
# right now it's always "/tgdcharts/$image_name.png"
#  In the final version the function should return a file argument like this.
# "/tgdcharts/creation-package-id/$image_name.png"
# so each oacs package has it's own namespace.
#####################################

ad_return_template
