ad_page_contract {
    Show all clicks on a link from a given mail job, broken down by Region and Country within Region.
} {
    link_id:notnull
    mail_job_id:notnull
} -properties {
    all_countries:multirow
    regions:multirow
    overall_clicks:onevalue
    url:onevalue
}


set package_id [ad_conn package_id]
set context_bar [list [list "." Administration] [list job-history "Mail Job History"] [list link-track?mail_job_id=$mail_job_id "Link Tracking"] "Alphanumeric Statistics"]
set mailing_list_package_id [user_register::util::get_sw_package_id -package_key mailing-lists]

if {![db_0or1row get_current_country_category_tree {}]} {
    # no country tree mapped, so return to index page immediately
    ad_returnredirect "."
    return
}

template::multirow create all_countries region_id pretty_country clicks

set cur_parent_id 0

db_1row get_link_url {} 
    
db_foreach get_all_clicks_for_link {} {
    if {$cur_parent_id != $parent_id} {
	set total_clicks($parent_id) 0
	set cur_parent_id $parent_id
     }

    template::multirow append all_countries $parent_id [category::get_name $country_id] $number_clicks
    set total_clicks($parent_id) [expr $total_clicks($parent_id) + $number_clicks]
}

template::multirow create regions pretty_region clicks region_id
set overall_clicks 0

foreach region_id [array names total_clicks] {
    template::multirow append regions [category::get_name $region_id] $total_clicks($region_id) $region_id
    set overall_clicks [expr $overall_clicks + $total_clicks($region_id)]
}
